Bots
Remove bot from conversation
Remove a broadcast bot from one of your company’s channel conversations and post a notice that it was removed. Callable by a company admin or rep whose role includes the messaging update permission. Returns 404 when the bot is not an active broadcast bot or the conversation is not a channel in your company.
DELETE
/
api
/
v1
/
messaging
/
bots
/
{bot_id}
/
remove_from_conversation
Remove bot from conversation
curl --request DELETE \
--url https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 3204,
"title": "Sales Wins",
"description": "Posts closed deals from the CRM into the sales channel",
"type": "BroadcastBot",
"image_url": "https://cdn.fluid.app/bots/3204/sales-wins.png",
"avatar_background_color": "2E7D32",
"avatar_emoji": null,
"archived_at": null,
"recipient": {
"id": 48190,
"discarded_at": null,
"avatar_background": null,
"first_name": "Sales Wins",
"last_name": null,
"email": null,
"phone": null,
"blocked": false
},
"conversation": null,
"conversations": [
{
"id": 90457,
"name": "Scranton Sales Wins",
"description": "Closed deals and shout-outs from the Scranton branch",
"avatar_url": null,
"webhook_url": "https://www.fluid.app/inbounds/bots/Hq4sW2mZ8kRtY7vN3pLbX9cE/48190/Tz6KfP1dQ8wVn3JxR5sYb2Lm",
"removed_at": "2026-09-30T15:22:41Z"
}
],
"webhook_external_uri": null,
"webhook_http_method": null
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Response
The bot. The channel stays in its conversations with removed_at set.
A messaging bot.
⌘I
Remove bot from conversation
curl --request DELETE \
--url https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/bots/{bot_id}/remove_from_conversation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 3204,
"title": "Sales Wins",
"description": "Posts closed deals from the CRM into the sales channel",
"type": "BroadcastBot",
"image_url": "https://cdn.fluid.app/bots/3204/sales-wins.png",
"avatar_background_color": "2E7D32",
"avatar_emoji": null,
"archived_at": null,
"recipient": {
"id": 48190,
"discarded_at": null,
"avatar_background": null,
"first_name": "Sales Wins",
"last_name": null,
"email": null,
"phone": null,
"blocked": false
},
"conversation": null,
"conversations": [
{
"id": 90457,
"name": "Scranton Sales Wins",
"description": "Closed deals and shout-outs from the Scranton branch",
"avatar_url": null,
"webhook_url": "https://www.fluid.app/inbounds/bots/Hq4sW2mZ8kRtY7vN3pLbX9cE/48190/Tz6KfP1dQ8wVn3JxR5sYb2Lm",
"removed_at": "2026-09-30T15:22:41Z"
}
],
"webhook_external_uri": null,
"webhook_http_method": null
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}